## evolution-data-server 3.44.0

=== CMakeLists.txt ===
# Evolution-Data-Server build script

cmake_minimum_required(VERSION 3.1)
cmake_policy(VERSION 3.1)

project(evolution-data-server
	VERSION 3.44.0
	LANGUAGES C CXX)
set(CMAKE_CXX_STANDARD 14)
set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-data-server/issues/")

# Base Version: This is for API/version tracking for things like
# D-Bus server files. This should always be the major/minor of
# the stable version or stable version to be.
set(BASE_VERSION 3.44)

# This number is meaningless, but we're now stuck with it in our
# library names for backward compatibility.
set(API_VERSION 1.2)

# API version of the calendar part
set(CAL_API_VERSION 2.0)

# Required for FindIntltool module
set(GETTEXT_PACKAGE ${PROJECT_NAME})
set(GETTEXT_PO_DIR ${CMAKE_SOURCE_DIR}/po)

# Required for 'disttest' and 'distcheck' of DistTarget module
set(PROJECT_DISTCONFIGURE_PARAMS
	-DENABLE_GOA=ON
	-DENABLE_EXAMPLES=ON
	-DENABLE_INTROSPECTION=ON
	-DENABLE_VALA_BINDINGS=ON
	-DENABLE_INSTALLED_TESTS=ON
	-DENABLE_GTK_DOC=ON
	-DWITH_PRIVATE_DOCS=ON
)

# ******************************
# D-Bus versioning
# ******************************
# Actual name can be modified with DBUS_SERVICES_PREFIX option
set(ADDRESS_BOOK_DBUS_SERVICE_NAME	"org.gnome.evolution.dataserver.AddressBook10")
set(CALENDAR_DBUS_SERVICE_NAME		"org.gnome.evolution.dataserver.Calendar8")
set(SOURCES_DBUS_SERVICE_NAME		"org.gnome.evolution.dataserver.Sources5")
set(USER_PROMPTER_DBUS_SERVICE_NAME	"org.gnome.evolution.dataserver.UserPrompter0")

# ******************************
# Library versioning
# ******************************
set(LIBCAMEL_CURRENT 63)
set(LIBCAMEL_REVISION 0)
set(LIBCAMEL_AGE 0)

set(LIBEBACKEND_CURRENT 10)
set(LIBEBACKEND_REVISION 0)
set(LIBEBACKEND_AGE 0)

set(LIBEDATASERVER_CURRENT 26)
set(LIBEDATASERVER_REVISION 0)
set(LIBEDATASERVER_AGE 0)

set(LIBEDATASERVERUI_CURRENT 3)
set(LIBEDATASERVERUI_REVISION 0)
set(LIBEDATASERVERUI_AGE 0)

set(LIBEBOOK_CURRENT 20)
set(LIBEBOOK_REVISION 1)
set(LIBEBOOK_AGE 3)

set(LIBEBOOK_CONTACTS_CURRENT 3)
set(LIBEBOOK_CONTACTS_REVISION 0)
set(LIBEBOOK_CONTACTS_AGE 0)

set(LIBEDATABOOK_CURRENT 26)
set(LIBEDATABOOK_REVISION 0)
set(LIBEDATABOOK_AGE 0)

set(LIBECAL_CURRENT 1)
set(LIBECAL_REVISION 0)
set(LIBECAL_AGE 0)

set(LIBEDATACAL_CURRENT 1)
set(LIBEDATACAL_REVISION 0)
set(LIBEDATACAL_AGE 0)

# Keep these two definitions in agreement.
set(glib_minimum_version 2.46)
set(glib_encoded_version GLIB_VERSION_2_46)

# Keep these two definitions in agreement.
set(gdk_minimum_version 3.16)
set(gdk_encoded_version GDK_VERSION_3_16)

# Keep these two definitions in agreement.
set(soup_minimum_version 2.58)
set(soup_encoded_version SOUP_VERSION_2_58)

# Warn about API usage that violates our minimum requirements.
add_definitions(-DGLIB_VERSION_MAX_ALLOWED=${glib_encoded_version})
add_definitions(-DGDK_VERSION_MAX_ALLOWED=${gdk_encoded_version})
add_definitions(-DSOUP_VERSION_MAX_ALLOWED=${soup_encoded_version})

# These will suppress warnings about newly-deprecated symbols. Ideally
# these settings should match our minimum requirements and we will clean
# up any new deprecation warnings after bumping our minimum requirements.
# But if the warnings get to be overwhelming, use fixed versions instead.
add_definitions(-DGLIB_VERSION_MIN_REQUIRED=${glib_encoded_version})
add_definitions(-DGDK_VERSION_MIN_REQUIRED=${gdk_encoded_version})
add_definitions(-DSOUP_VERSION_MIN_REQUIRED=${soup_encoded_version})

set(gcr_minimum_version 3.4)
set(libgdata_minimum_version 0.15.1)
set(libical_glib_minimum_version 3.0.7)
set(libsecret_minimum_version 0.5)
set(libxml_minimum_version 2.0.0)
set(sqlite_minimum_version 3.7.17)

# Optional Packages
set(goa_minimum_version 3.8)
set(gweather_minimum_version 3.10)
set(gweather4_minimum_version 3.91.0)
set(libaccounts_glib_minimum_version 1.4)
set(libsignon_glib_minimum_version 1.8)
set(json_glib_minimum_version 1.0.4)
set(webkit2gtk_minimum_version 2.28.0)
set(libcanberra_gtk_minimum_version 0.25)

# Load modules from the source tree
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)
# Packagers might want to need different settings for the RPATH related things
# From experience, especially CMAKE_BUILD_WITH_INSTALL_RPATH might need to be
# switched to ON, if CMake fails to set the right values during make install
set(CMAKE_SKIP_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_SKIP_BUILD_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_BUILD_WITH_INSTALL_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH ON CACHE BOOL INTERNAL)
# CMAKE_INSTALL_RPATH is set below

# CMake modules
include(CheckCCompilerFlag)
include(CheckCSourceCompiles)
include(CheckCSourceRuns)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckLibraryExists)
include(CheckTypeSize)

# Project custom modules
include(PrintableOptions)

add_printable_variable(LIB_SUFFIX "Library directory suffix, usually defined to '64' for x86_64 systems" "")
add_printable_variable_bare(CMAKE_INSTALL_PREFIX)
add_printable_variable_path(BIN_INSTALL_DIR "Install directory for binary files, defaults to CMAKE_INSTALL_PREFIX/bin" "")
add_printable_variable_path(INCLUDE_INSTALL_DIR "Install directory for header files, defaults to CMAKE_INSTALL_PREFIX/include" "")
add_printable_variable_path(LIB_INSTALL_DIR "Install directory for library files, defaults to CMAKE_INSTALL_PREFIX/lib{LIB_SUFFIX}" "")
add_printable_variable_path(LIBEXEC_INSTALL_DIR "Install directory for library executable files, defaults to CMAKE_INSTALL_PREFIX/libexec" "")
add_printable_variable_path(SHARE_INSTALL_PREFIX "Install directory for shared files, defaults to CMAKE_INSTALL_PREFIX/share" "")
add_printable_variable_path(LOCALE_INSTALL_DIR "Install directory for locale files, defaults to SHARE_INSTALL_PREFIX/locale" "")
add_printable_variable_path(SYSCONF_INSTALL_DIR "Install directory for system configuration files, defaults to CMAKE_INSTALL_PREFIX/etc" "")

macro(ensure_default_value _var _defvalue)
	if(${_var} STREQUAL "")
		set(${_var} ${_defvalue})
	endif(${_var} STREQUAL "")
endmacro(ensure_default_value)

ensure_default_value(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
ensure_default_value(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
ensure_default_value(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
ensure_default_value(LIBEXEC_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/libexec")
ensure_default_value(SHARE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share")
ensure_default_value(LOCALE_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/locale")
ensure_default_value(SYSCONF_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/etc")

add_printable_variable(DBUS_SERVICES_PREFIX "Prefix for D-Bus services, usually left empty, without trailing dot" "")

if(NOT ("${DBUS_SERVICES_PREFIX}" STREQUAL ""))
	set(ADDRESS_BOOK_DBUS_SERVICE_NAME	"${DBUS_SERVICES_PREFIX}.${ADDRESS_BOOK_DBUS_SERVICE_NAME}")
	set(CALENDAR_DBUS_SERVICE_NAME		"${DBUS_SERVICES_PREFIX}.${CALENDAR_DBUS_SERVICE_NAME}")
	set(SOURCES_DBUS_SERVICE_NAME		"${DBUS_SERVICES_PREFIX}.${SOURCES_DBUS_SERVICE_NAME}")
	set(USER_PROMPTER_DBUS_SERVICE_NAME	"${DBUS_SERVICES_PREFIX}.${USER_PROMPTER_DBUS_SERVICE_NAME}")
else(NOT ("${DBUS_SERVICES_PREFIX}" STREQUAL ""))
	unset(DBUS_SERVICES_PREFIX)
endif(NOT ("${DBUS_SERVICES_PREFIX}" STREQUAL ""))

# ******************************
# Special directories
# ******************************

# If you add something here, consider whether or not you also
# need to add it to one or more .pc.in files (for Connector, etc)

set(privdatadir "${SHARE_INSTALL_PREFIX}/${PROJECT_NAME}")
set(privincludedir "${INCLUDE_INSTALL_DIR}/${PROJECT_NAME}")
set(privlibdir "${LIB_INSTALL_DIR}/${PROJECT_NAME}")
set(privlibexecdir "${LIBEXEC_INSTALL_DIR}/${PROJECT_NAME}")
set(icondir "${privdatadir}/icons")

SET(CMAKE_INSTALL_RPATH "${privlibdir}")

if(WIN32)
	# On Win32 there is no "rpath" mechanism. We install the private
	# shared libraries in $libdir, meaning the DLLs will actually be in
	# $bindir. This means just having $bindir in PATH will be enough.
	set(privsolibdir "${LIB_INSTALL_DIR}")
else(WIN32)
	set(privsolibdir "${privlibdir}")
endif(WIN32)

set(imagesdir "${SHARE_INSTALL_PREFIX}/pixmaps/${PROJECT_NAME}")
set(moduledir "${privlibdir}/registry-modules")
set(credentialmoduledir "${privlibdir}/credential-modules")
set(uimoduledir "${privlibdir}/ui-modules")
set(ebook_backenddir "${privlibdir}/addressbook-backends")
set(ecal_backenddir "${privlibdir}/calendar-backends")
set(ro_sourcesdir "${privdatadir}/ro-sources")
set(rw_sourcesdir "${privdatadir}/rw-sources")
set(camel_providerdir "${privlibdir}/camel-providers")

# *******************
# D-BUS service stuff
# *******************
set(servicelibexecdir "${LIBEXEC_INSTALL_DIR}")
if(WIN32 AND (NOT ("$ENV{WIN32_SERVICELIBEXECDIR}" STREQUAL "")))
	#
	# D-Bus requires Windows full path, not Unix-like, like the one provided by MSYS
	#
	AC_SUBST(WIN32_SERVICELIBEXECDIR)
	set(servicelibexecdir "$ENV{WIN32_SERVICELIBEXECDIR}")
endif(WIN32 AND (NOT ("$ENV{WIN32_SERVICELIBEXECDIR}" STREQUAL "")))

add_printable_variable_path(WITH_DBUS_SERVICE_DIR "Set directory for D-Bus service files" "${SHARE_INSTALL_PREFIX}/dbus-1/services")

# It is correct for this to be in ${CMAKE_INSTALL_PREFIX}/lib, even on systems where that
# does not match ${LIB_INSTALL_DIR}. This is what systemd uses on such platforms.

add_printable_variable_path(WITH_SYSTEMDUSERUNITDIR "Set directory for systemd user units, or 'no' to disable" "${CMAKE_INSTALL_PREFIX}/lib/systemd/user")

string(LENGTH "${CMAKE_BINARY_DIR}" bindirlen)
string(LENGTH "${WITH_SYSTEMDUSERUNITDIR}" maxlen)
if(maxlen LESS bindirlen)
	set(substr "***")
else(maxlen LESS bindirlen)
	string(SUBSTRING "${WITH_SYSTEMDUSERUNITDIR}" 0 ${bindirlen} substr)
endif(maxlen LESS bindirlen)
string(TOUPPER "${WITH_SYSTEMDUSERUNITDIR}" optupper)

if(("${optupper}" STREQUAL "ON") OR ("${substr}" STREQUAL "${CMAKE_BINARY_DIR}"))
	set(WITH_SYSTEMD_USER_UNITS ON)
	set(WITH_SYSTEMDUSERUNITDIR "${CMAKE_INSTALL_PREFIX}/lib/systemd/user")
elseif(NOT WITH_SYSTEMDUSERUNITDIR)
	set(WITH_SYSTEMD_USER_UNITS OFF)
else()
	set(WITH_SYSTEMD_USER_UNITS ON)
endif()

unset(bindirlen)
unset(maxlen)
unset(substr)
unset(optupper)

# ******************************
# Dependencies
# ******************************

include(CodeCoverageGCOV)
include(CheckTarget)
include(DistTargets)
include(GLibTools)
include(GObjectIntrospection)
include(GtkDoc)
include(InstalledTests)
include(PkgConfigEx)
include(SetupBuildFlags)
include(UninstallTarget)
include(IconCache)

include(FindGettext)
include(I18n)
include(FindKRB5)
include(FindLDAP)
include(FindPhonenumber)
include(FindSMIME)

add_printable_option(ENABLE_MAINTAINER_MODE "Enable maintainer mode" OFF)
add_printable_option(WITH_PRIVATE_DOCS "Build documentation for private libraries (requires -DENABLE-GTK-DOC=ON" OFF)

if(ENABLE_MAINTAINER_MODE)
	set(BUILD_TESTING ON)
endif(ENABLE_MAINTAINER_MODE)

# Setup compiler/linker flags
setup_build_flags(${ENABLE_MAINTAINER_MODE})

CHECK_INCLUDE_FILE(com_err.h HAVE_COM_ERR_H)
CHECK_INCLUDE_FILE(et/com_err.h HAVE_ET_COM_ERR_H)
CHECK_INCLUDE_FILE(sys/wait.h HAVE_SYS_WAIT_H)
CHECK_INCLUDE_FILE(wspiapi.h HAVE_WSPIAPI_H)
CHECK_INCLUDE_FILE(zlib.h HAVE_ZLIB_H)
CHECK_FUNCTION_EXISTS(fsync HAVE_FSYNC)
CHECK_FUNCTION_EXISTS(strptime HAVE_STRPTIME)
CHECK_FUNCTION_EXISTS(nl_langinfo HAVE_NL_LANGINFO)

# ******************************
# required executables
# ******************************

find_program(GPERF gperf)
if(NOT GPERF)
	message(FATAL_ERROR "You need gperf to build ${PROJECT_NAME}")
endif(NOT GPERF)

# ******************************
# db_load checking, it's optional
# ******************************

find_program(DB_LOAD NAMES db_load db4_load db_load-4 db5_load db_load-5)
if(DB_LOAD)
	set(HAVE_DB_LOAD ON)
else(DB_LOAD)
	set(HAVE_DB_LOAD OFF)
	message(WARNING "db_load not found, some unit tests will not be run")
endif(DB_LOAD)

# ******************************

=== po/CMakeLists.txt ===
find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)

set(DOMAIN ${FULL_PROJECT_NAME})
set(POT_FILE ${GETTEXT_PACKAGE}.pot)

file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/POTFILES.in TRANSLATED_FILES_1 ENCODING UTF-8 REGEX "^[^#].*")
file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/POTFILES.source.in TRANSLATED_FILES_2 ENCODING UTF-8 REGEX "^[^#].*")
set(TRANSLATED_FILES)
foreach(TRANSLATED_FILE ${TRANSLATED_FILES_1} ${TRANSLATED_FILES_2})
    list(APPEND TRANSLATED_FILES "../${TRANSLATED_FILE}")
endforeach(TRANSLATED_FILE)

# Creates the .pot file containing the translations template
add_custom_command(
    COMMENT "Generating translation template"
    COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
        --directory=${CMAKE_SOURCE_DIR}
        --package-name=${GETTEXT_PACKAGE}
        --files-from=${CMAKE_CURRENT_SOURCE_DIR}/POTFILES.in
        --from-code=UTF-8
        --add-comments
        --keyword=_
        --keyword=N_
        --keyword=C_:1c,2
        --keyword=NC_:1c,2
        --keyword=g_dcgettext:2
        --keyword=g_dngettext:2,3
        --keyword=g_dpgettext2:2c,3
        --flag=N_:1:pass-c-format
        --flag=C_:2:pass-c-format
        --flag=NC_:2:pass-c-format
        --flag=g_dngettext:2:pass-c-format
        --flag=g_strdup_printf:1:c-format
        --flag=g_string_printf:2:c-format
        --flag=g_string_append_printf:2:c-format
        --flag=g_error_new:3:c-format
        --flag=g_set_error:4:c-format
        --flag=g_markup_printf_escaped:1:c-format
        --flag=g_log:3:c-format
        --flag=g_print:1:c-format
        --flag=g_printerr:1:c-format
        --flag=g_printf:1:c-format
        --flag=g_fprintf:2:c-format
        --flag=g_sprintf:2:c-format
        --flag=g_snprintf:3:c-format
# .source files are not standard so handle them the best we can
    COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
        --directory=${CMAKE_SOURCE_DIR}
        --package-name=${GETTEXT_PACKAGE}
        --language=Desktop
        --join-existing
        --files-from=${CMAKE_CURRENT_SOURCE_DIR}/POTFILES.source.in
        --from-code=UTF-8
        --add-comments
        --keyword=DisplayName
    OUTPUT ${POT_FILE}
    DEPENDS ${TRANSLATED_FILES}
)

file(GLOB po_files ${CMAKE_CURRENT_SOURCE_DIR}/*.po)
set(LINGUAS)
foreach(file IN LISTS po_files)
    get_filename_component(lang ${file} NAME_WE)
    list(APPEND LINGUAS ${lang})
    configure_file("${lang}.po" "${lang}.po" COPYONLY)
endforeach(file)

string (REPLACE ";" "\n" LINGUAS_CONTENT "${LINGUAS}")
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/LINGUAS" ${LINGUAS_CONTENT})
add_custom_target(linguas)
add_custom_command(TARGET linguas
    COMMENT "Updating LINGUAS"
    COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_BINARY_DIR}/LINGUAS ${CMAKE_CURRENT_SOURCE_DIR}/LINGUAS
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/LINGUAS
)

add_custom_target(${GETTEXT_PACKAGE}-pot DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${POT_FILE})

add_custom_target(${GETTEXT_PACKAGE}-update-po DEPENDS ${GETTEXT_PACKAGE}-pot)
foreach(LANG ${LINGUAS})
    add_custom_command(TARGET ${GETTEXT_PACKAGE}-update-po
        COMMENT "Update ${LANG}.po"
        COMMAND ${GETTEXT_MSGMERGE_EXECUTABLE} -q --update ${CMAKE_CURRENT_SOURCE_DIR}/${LANG}.po ${CMAKE_CURRENT_BINARY_DIR}/${POT_FILE}
        DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${POT_FILE}
    )
endforeach(LANG)

gettext_process_pot_file(${CMAKE_CURRENT_BINARY_DIR}/${POT_FILE} ALL INSTALL_DESTINATION "${LOCALE_INSTALL_DIR}" LANGUAGES ${LINGUAS})

=== src/libedataserver/CMakeLists.txt ===
glib_mkenums(e-source-enumtypes e-source-enums.h E_SOURCE_ENUMTYPES_H)

add_pkgconfig_file(libedataserver.pc.in libedataserver-${API_VERSION}.pc)

configure_file(
	${CMAKE_CURRENT_SOURCE_DIR}/eds-version.h.in
	${CMAKE_CURRENT_BINARY_DIR}/eds-version.h
	@ONLY
)

# We put the C++ code into a separate static library, so that we can use
# the C linker for libebook-contacts.

add_library(edataserver-private STATIC
	e-alphabet-index-private.cpp
	e-transliterator-private.cpp
)

target_compile_definitions(edataserver-private PRIVATE
	-DG_LOG_DOMAIN=\"e-data-server\"
	-DLIBEDATASERVER_COMPILATION
)

target_compile_options(edataserver-private PUBLIC
	${DATA_SERVER_CFLAGS}
	${ICU_CFLAGS}
)

target_include_directories(edataserver-private PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${DATA_SERVER_INCLUDE_DIRS}
	${ICU_INCLUDE_DIRS}
)

target_link_libraries(edataserver-private
	${DATA_SERVER_LDFLAGS}
	${ICU_LDFLAGS}
)

set(DEPENDENCIES
	camel
	edataserver-private
	edbus-private
)

set(SOURCES
	e-alphabet-index-private.h
	e-cancellable-locks.c
	e-categories.c
	e-client.c
	e-client-private.h
	e-collator.c
	e-credentials.c
	e-extensible.c
	e-extension.c
	e-flag.c
	e-free-form-exp.c
	e-gdata-oauth2-authorizer.c
	e-iterator.c
	e-list.c
	e-list-iterator.c
	e-memory.c
	e-module.c
	e-network-monitor.c
	e-oauth2-service.c
	e-oauth2-service-base.c
	e-oauth2-service-google.c
	e-oauth2-service-outlook.c
	e-oauth2-service-yahoo.c
	e-oauth2-services.c
	e-operation-pool.c
	e-proxy.c
	e-secret-store.c
	e-sexp.c
	e-soup-auth-bearer.c
	e-soup-logger.c
	e-soup-session.c
	e-soup-ssl-trust.c
	e-source.c
	e-source-extension.c
	e-source-address-book.c
	e-source-alarms.c
	e-source-authentication.c
	e-source-autocomplete.c
	e-source-autoconfig.c
	e-source-backend.c
	e-source-calendar.c
	e-source-camel.c
	e-source-collection.c
	e-source-contacts.c
	e-source-credentials-provider.c
	e-source-credentials-provider-impl.c
	e-source-credentials-provider-impl-oauth2.c
	e-source-credentials-provider-impl-password.c
	e-source-goa.c
	e-source-ldap.c
	e-source-local.c
	e-source-mail-account.c
	e-source-mail-composition.c
	e-source-mail-identity.c
	e-source-mail-signature.c
	e-source-mail-submission.c
	e-source-mail-transport.c
	e-source-mdn.c
	e-source-memo-list.c
	e-source-offline.c
	e-source-openpgp.c
	e-source-proxy.c
	e-source-refresh.c
	e-source-registry.c
	e-source-registry-watcher.c
	e-source-resource.c
	e-source-revision-guards.c
	e-source-security.c
	e-source-selectable.c
	e-source-smime.c
	e-source-task-list.c
	e-source-uoa.c
	e-source-weather.c
	e-source-webdav.c
	e-source-webdav-notes.c
	e-debug-log.c
	e-time-utils.c
	e-transliterator-private.h
	e-uid.c
	e-url.c
	e-webdav-discover.c
	e-webdav-session.c
	e-data-server-util.c
	e-xml-document.c
	e-xml-hash-utils.c
	e-xml-utils.c
	libedataserver-private.h
	eds-version.c
	${CMAKE_CURRENT_BINARY_DIR}/e-source-enumtypes.c
)

set(HEADERS
	libedataserver.h
	e-cancellable-locks.h
	e-categories.h
	e-client.h
	e-collator.h
	e-credentials.h
	e-dataserver-autocleanups.h
	e-extensible.h
	e-extension.h
	e-flag.h
	e-free-form-exp.h
	e-gdata-oauth2-authorizer.h
	e-iterator.h
	e-list.h
	e-list-iterator.h
	e-memory.h
	e-module.h
	e-network-monitor.h
	e-oauth2-service.h
	e-oauth2-service-base.h
	e-oauth2-service-google.h
	e-oauth2-service-outlook.h
	e-oauth2-service-yahoo.h
	e-oauth2-services.h
	e-operation-pool.h
	e-proxy.h
	e-secret-store.h
	e-sexp.h
	e-soup-auth-bearer.h
	e-soup-logger.h
	e-soup-session.h
	e-soup-ssl-trust.h
	e-source.h
	e-source-address-book.h
	e-source-alarms.h
	e-source-authentication.h
	e-source-autocomplete.h
	e-source-autoconfig.h
	e-source-backend.h
	e-source-calendar.h
	e-source-camel.h
	e-source-collection.h
	e-source-contacts.h
	e-source-credentials-provider.h
	e-source-credentials-provider-impl.h
	e-source-credentials-provider-impl-oauth2.h
	e-source-credentials-provider-impl-password.h
	e-source-enums.h
	e-source-extension.h
	e-source-goa.h
	e-source-ldap.h
	e-source-local.h
	e-source-mail-account.h
	e-source-mail-composition.h
	e-source-mail-identity.h
	e-source-mail-signature.h
	e-source-mail-submission.h
	e-source-mail-transport.h
	e-source-mdn.h
	e-source-memo-list.h
	e-source-offline.h
	e-source-openpgp.h
	e-source-proxy.h
	e-source-refresh.h
	e-source-registry.h
	e-source-registry-watcher.h
	e-source-resource.h
	e-source-revision-guards.h
	e-source-security.h
	e-source-selectable.h
	e-source-smime.h
	e-source-task-list.h
	e-source-uoa.h
	e-source-weather.h
	e-source-webdav.h
	e-source-webdav-notes.h
	e-debug-log.h
	e-time-utils.h
	e-uid.h
	e-url.h
	e-webdav-discover.h
	e-webdav-session.h
	e-data-server-util.h
	e-xml-document.h
	e-xml-hash-utils.h
	e-xml-utils.h
	${CMAKE_CURRENT_BINARY_DIR}/e-source-enumtypes.h
	${CMAKE_CURRENT_BINARY_DIR}/eds-version.h
)

add_library(edataserver SHARED
	${SOURCES}
	${HEADERS}
)

add_dependencies(edataserver
	${DEPENDENCIES}
)

set_target_properties(edataserver PROPERTIES
	VERSION "${LIBEDATASERVER_CURRENT}.${LIBEDATASERVER_REVISION}.${LIBEDATASERVER_AGE}"
	SOVERSION ${LIBEDATASERVER_CURRENT}
	OUTPUT_NAME edataserver-${API_VERSION}
)

target_compile_definitions(edataserver PRIVATE
	-DG_LOG_DOMAIN=\"e-data-server\"
	-DE_DATA_SERVER_PREFIX=\"${CMAKE_INSTALL_PREFIX}\"
	-DE_DATA_SERVER_LOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
	-DE_DATA_SERVER_IMAGESDIR=\"${imagesdir}\"
	-DE_DATA_SERVER_CREDENTIALMODULEDIR=\"${credentialmoduledir}\"
	-DE_DATA_SERVER_UIMODULEDIR=\"${uimoduledir}\"
	-DE_DATA_SERVER_PRIVDATADIR=\"${privdatadir}\"
	-DLIBEDATASERVER_COMPILATION
)

target_compile_options(edataserver PUBLIC
	${DATA_SERVER_CFLAGS}
	${GCR_BASE_CFLAGS}
	${GIO_UNIX_CFLAGS}
	${ICU_CFLAGS}
	${OAUTH2_JSON_GLIB_CFLAGS}
	${LIBGDATA_CFLAGS}
)

target_include_directories(edataserver PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_BINARY_DIR}/src/private
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_SOURCE_DIR}/src/private
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${DATA_SERVER_INCLUDE_DIRS}
	${GCR_BASE_INCLUDE_DIRS}
	${GIO_UNIX_INCLUDE_DIRS}
	${ICU_INCLUDE_DIRS}
	${OAUTH2_JSON_GLIB_INCLUDE_DIRS}
	${LIBGDATA_INCLUDE_DIRS}
)

target_link_libraries(edataserver
	${DEPENDENCIES}
	${DATA_SERVER_LDFLAGS}
	${GCR_BASE_LDFLAGS}
	${GIO_UNIX_LDFLAGS}
	${ICU_LDFLAGS}
	${OAUTH2_JSON_GLIB_LDFLAGS}
	${LIBGDATA_LDFLAGS}
)

install(TARGETS edataserver
	DESTINATION ${LIB_INSTALL_DIR}
)

install(FILES ${HEADERS}
	DESTINATION ${privincludedir}/libedataserver
)

set(gir_sources ${SOURCES} ${HEADERS})
set(gir_identifies_prefixes E)
set(gir_includes GObject-2.0 Gio-2.0 Soup-2.4 libxml2-2.0 ${LIBGDATA_GIR})
set(gir_cflags
	-DLIBEDATASERVER_COMPILATION
)
set(gir_libdirs
	${CMAKE_BINARY_DIR}/src/private
	${CMAKE_BINARY_DIR}/src/camel
)
set(gir_libs
	camel
	edataserver
)
set(gir_deps
	${CMAKE_BINARY_DIR}/src/camel/Camel-${API_VERSION}.gir
)

gir_filter_out_sources(gir_sources e-sexp.h)
gir_filter_out_sources(gir_sources -private.h)

gir_add_introspection_simple(
	EDataServer
	libedataserver
	${API_VERSION}
	"libedataserver/libedataserver.h"
	gir_identifies_prefixes
	gir_includes
	gir_cflags
	gir_libdirs
	gir_libs
	gir_deps
	gir_sources
)

=== tests/book-migration/CMakeLists.txt ===
add_subdirectory(db)

set(extra_deps
	ebook
	ebook-contacts
	edbus-private
	client-test-utils
)

set(extra_defines
	-DEDS_TEST_WORK_DIR=\"${CMAKE_BINARY_DIR}/tests/test-server-utils/cache\"
	-DEDS_TEST_SQLITE_BOOKS=\"${CMAKE_SOURCE_DIR}/tests/book-migration/db\"
	-DEDS_TEST_BUILT_BOOKS=\"${CMAKE_BINARY_DIR}/tests/book-migration/db\"
)

# If db_load is detected at configure time, then we've built
# an addressbook.db to test the migration from 3.6 -> Current.
#
# Instead of committing a BDB file directly which might have
# compatibility issues, we use a text dump (for SQLite we
# rely on compatilbility).
if(HAVE_DB_LOAD)
	list(APPEND extra_defines
		-DTEST_VERSIONS_WITH_BDB
	)
endif(HAVE_DB_LOAD)

set(extra_cflags
	${ADDRESSBOOK_CFLAGS}
)

set(extra_incdirs
	${ADDRESSBOOK_INCLUDE_DIRS}
	${CMAKE_BINARY_DIR}/tests/libebook/client
	${CMAKE_SOURCE_DIR}/tests/libebook/client
)

set(extra_ldflags
	${ADDRESSBOOK_LDFLAGS}
)

# Should be kept ordered approximately from least to most difficult/complex
set(TESTS
	test-migration
)

foreach(_test ${TESTS})
	set(SOURCES ${_test}.c)

	build_only_installable_test(${_test}
		SOURCES
		extra_deps
		extra_defines
		extra_cflags
		extra_incdirs
		extra_ldflags
	)
	add_check_test(${_test} --build-dir "${CMAKE_BINARY_DIR}")
	if(HAVE_DB_LOAD)
		add_dependencies(${_test} libdb-addressbooks)
	endif(HAVE_DB_LOAD)
endforeach(_test)

# This is a little cheat, it's not a real test, but can be built with the macro
set(SOURCES setup-migration-test.c)

build_only_installable_test(setup-migration-test
	SOURCES
	extra_deps
	extra_defines
	extra_cflags
	extra_incdirs
	extra_ldflags
)

# This rule should be run once every stable release and then the
# newly created 'contacts.db' file added to git.
#
# For instance, when the EDS version is 3.12, the file:
#   $(top_srcdir)/tests/book-migration/db/3.12/contacts.db
# will be created as a result of running 'make setup-migration'.
#
# Note that the 'setup-migration-test' program can be compiled
# with EDS versions back to 3.0. If you really need to rebuild
# the older test sandboxes, then setup-migration-test can be
# manually compiled and used with older builds of EDS.
set(_use_db_version "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}")
add_custom_target(setup-migration
	COMMAND ${CMAKE_COMMAND} -E echo "Setting up new migration sandbox in ${CMAKE_SOURCE_DIR}/tests/book-migration/db/${_use_db_version}..."
	COMMAND ${CMAKE_BINARY_DIR}/tests/book-migration/setup-migration-test
		--use-test-sandbox --book-id ${_use_db_version}
		--contacts-directory ${CMAKE_SOURCE_DIR}/tests/book-migration/vcards
	COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_SOURCE_DIR}/tests/book-migration/db/${_use_db_version}
	COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_BINARY_DIR}/tests/test-server-utils/cache/evolution/addressbook/${_use_db_version}/contacts.db
		${CMAKE_SOURCE_DIR}/tests/book-migration/db/${_use_db_version}/
	COMMAND ${CMAKE_COMMAND} -E echo "Done."
	DEPENDS setup-migration-test
)

=== tests/libecal/CMakeLists.txt ===
set(extra_deps
	ecal
)

set(extra_defines)

set(extra_cflags
	${CALENDAR_CFLAGS}
)

set(extra_incdirs
	${CALENDAR_INCLUDE_DIRS}
)

set(extra_ldflags
	${CALENDAR_LDFLAGS}
)

# Should be kept ordered approximately from least to most difficult/complex
set(TESTS
	test-cal-client-refresh
	test-cal-client-add-timezone
	test-cal-client-create-object
	test-cal-client-remove-object
	test-cal-client-get-object-list
	test-cal-client-modify-object
	test-cal-client-send-objects
	test-cal-client-receive-objects
        test-cal-client-bulk-methods
	test-cal-client-get-attachment-uris
	test-cal-client-get-view
	test-cal-client-revision-view
	test-cal-client-get-revision
	test-cal-client-get-free-busy
	test-cal-component
	test-cal-recur
	test-cal-reminders
	test-cal-utils
)

foreach(_test ${TESTS})
	set(SOURCES ${_test}.c)

	add_installable_test(${_test}
		SOURCES
		extra_deps
		extra_defines
		extra_cflags
		extra_incdirs
		extra_ldflags
		"session-exclusive"
		"TEST_INSTALLED_SERVICES=1"
	)
endforeach(_test)

=== src/calendar/libecal/CMakeLists.txt ===
glib_mkenums(e-cal-enumtypes e-cal-enums.h E_CAL_ENUMTYPES_H)

add_pkgconfig_file(libecal.pc.in libecal-${CAL_API_VERSION}.pc)

set(DEPENDENCIES
	camel
	edbus-private
	edataserver
)

set(SOURCES
	e-cal-client.c
	e-cal-client-view.c
	e-cal-component.c
	e-cal-component-alarm.c
	e-cal-component-alarm-instance.c
	e-cal-component-alarm-repeat.c
	e-cal-component-alarm-trigger.c
	e-cal-component-alarms.c
	e-cal-component-attendee.c
	e-cal-component-datetime.c
	e-cal-component-id.c
	e-cal-component-organizer.c
	e-cal-component-parameter-bag.c
	e-cal-component-period.c
	e-cal-component-property-bag.c
	e-cal-component-range.c
	e-cal-component-text.c
	e-cal-recur.c
	e-cal-time-util.c
	e-cal-check-timezones.c
	e-cal-system-timezone.c
	e-cal-util.c
	e-reminder-watcher.c
	e-timezone-cache.c
	${CMAKE_CURRENT_BINARY_DIR}/e-cal-enumtypes.c
)

set(HEADERS
	libecal.h
	e-cal-client.h
	e-cal-client-view.h
	e-cal-component.h
	e-cal-component-alarm.h
	e-cal-component-alarm-instance.h
	e-cal-component-alarm-repeat.h
	e-cal-component-alarm-trigger.h
	e-cal-component-alarms.h
	e-cal-component-attendee.h
	e-cal-component-datetime.h
	e-cal-component-id.h
	e-cal-component-parameter-bag.h
	e-cal-component-organizer.h
	e-cal-component-period.h
	e-cal-component-property-bag.h
	e-cal-component-range.h
	e-cal-component-text.h
	e-cal-enums.h
	e-cal-recur.h
	e-cal-time-util.h
	e-cal-check-timezones.h
	e-cal-system-timezone.h
	e-cal-util.h
	e-reminder-watcher.h
	e-timezone-cache.h
	${CMAKE_CURRENT_BINARY_DIR}/e-cal-enumtypes.h
)

add_library(ecal SHARED
	${SOURCES}
	${HEADERS}
)

add_dependencies(ecal
	${DEPENDENCIES}
)

set_target_properties(ecal PROPERTIES
	VERSION "${LIBECAL_CURRENT}.${LIBECAL_REVISION}.${LIBECAL_AGE}"
	SOVERSION ${LIBECAL_CURRENT}
	OUTPUT_NAME ecal-${CAL_API_VERSION}
)

target_compile_definitions(ecal PRIVATE
	-DG_LOG_DOMAIN=\"libecal\"
	-DLOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
	-DLIBECAL_COMPILATION
)

target_compile_options(ecal PUBLIC
	${CALENDAR_CFLAGS}
)

target_include_directories(ecal PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_BINARY_DIR}/src/calendar
	${CMAKE_BINARY_DIR}/src/private
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_SOURCE_DIR}/src/calendar
	${CMAKE_SOURCE_DIR}/src/private
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${CALENDAR_INCLUDE_DIRS}
)

target_link_libraries(ecal
	${DEPENDENCIES}
	${CALENDAR_LDFLAGS}
)

install(TARGETS ecal
	DESTINATION ${LIB_INSTALL_DIR}
)

install(FILES ${HEADERS}
	DESTINATION ${privincludedir}/libecal
)

set(gir_sources ${SOURCES} ${HEADERS})
set(gir_identifies_prefixes ECal E)
set(gir_includes GObject-2.0 Gio-2.0 Soup-2.4 libxml2-2.0 ICalGLib-3.0)
set(gir_cflags
	-DLIBECAL_COMPILATION
	-DEDS_DISABLE_DEPRECATED=1
	-I${CMAKE_BINARY_DIR}/src/calendar
	-I${CMAKE_SOURCE_DIR}/src/calendar
)
set(gir_libdirs
	${CMAKE_BINARY_DIR}/src/camel
	${CMAKE_BINARY_DIR}/src/libedataserver
)
set(gir_libs ecal)
set(gir_deps
	${CMAKE_BINARY_DIR}/src/camel/Camel-${API_VERSION}.gir
	${CMAKE_BINARY_DIR}/src/libedataserver/EDataServer-${API_VERSION}.gir
)

gir_add_introspection_simple(
	ECal
	libecal
	${CAL_API_VERSION}
	"libecal/libecal.h"
	gir_identifies_prefixes
	gir_includes
	gir_cflags
	gir_libdirs
	gir_libs
	gir_deps
	gir_sources
)

=== src/camel/providers/CMakeLists.txt ===
add_subdirectory(imapx)
add_subdirectory(local)
add_subdirectory(nntp)
add_subdirectory(pop3)
add_subdirectory(smtp)

if(NOT WIN32)
	add_subdirectory(sendmail)
endif(NOT WIN32)

=== tests/book-migration/db/CMakeLists.txt ===
if(HAVE_DB_LOAD)

	set(GENERATED_DBS_VERSIONS
		3.0
		3.2
		3.4
		3.6
	)

	set(GENERATED_DBS)

	foreach(_ver ${GENERATED_DBS_VERSIONS})
		add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_ver}/addressbook.db
			COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/${_ver}
			COMMAND ${DB_LOAD} -f ${CMAKE_CURRENT_SOURCE_DIR}/${_ver}/addressbook.dump ${CMAKE_CURRENT_BINARY_DIR}/${_ver}/addressbook.db
			DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${_ver}/addressbook.dump
		)
		list(APPEND GENERATED_DBS ${CMAKE_CURRENT_BINARY_DIR}/${_ver}/addressbook.db)
	endforeach(_ver)

	add_custom_target(libdb-addressbooks
		DEPENDS ${GENERATED_DBS}
	)

	add_dependencies(check libdb-addressbooks)

endif(HAVE_DB_LOAD)

=== src/camel/providers/imapx/CMakeLists.txt ===
set(SOURCES
	camel-imapx-provider.c
	camel-imapx-command.c
	camel-imapx-command.h
	camel-imapx-conn-manager.c
	camel-imapx-conn-manager.h
	camel-imapx-folder.c
	camel-imapx-folder.h
	camel-imapx-input-stream.c
	camel-imapx-input-stream.h
	camel-imapx-job.c
	camel-imapx-job.h
	camel-imapx-list-response.c
	camel-imapx-list-response.h
	camel-imapx-logger.c
	camel-imapx-logger.h
	camel-imapx-mailbox.c
	camel-imapx-mailbox.h
	camel-imapx-message-info.c
	camel-imapx-message-info.h
	camel-imapx-namespace.c
	camel-imapx-namespace.h
	camel-imapx-namespace-response.c
	camel-imapx-namespace-response.h
	camel-imapx-search.c
	camel-imapx-search.h
	camel-imapx-server.c
	camel-imapx-server.h
	camel-imapx-settings.c
	camel-imapx-settings.h
	camel-imapx-status-response.c
	camel-imapx-status-response.h
	camel-imapx-store.c
	camel-imapx-store.h
	camel-imapx-store-summary.c
	camel-imapx-store-summary.h
	camel-imapx-summary.c
	camel-imapx-summary.h
	camel-imapx-tokenise.h
	camel-imapx-utils.c
	camel-imapx-utils.h
)

set(DEPENDENCIES
	camel
)

add_custom_command(
	OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/camel-imapx-tokenise.h
	COMMAND ${GPERF} -H imapx_hash -N imapx_tokenise_struct -L ANSI-C -o -t -k1,$$ ${CMAKE_CURRENT_SOURCE_DIR}/camel-imapx-tokens.txt --output-file=${CMAKE_CURRENT_BINARY_DIR}/camel-imapx-tokenise.h
	DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/camel-imapx-tokens.txt
)

add_library(camelimapx MODULE ${SOURCES})

add_dependencies(camelimapx
	${DEPENDENCIES}
)

target_compile_definitions(camelimapx PRIVATE
	-DG_LOG_DOMAIN=\"camel-imapx-provider\"
)

target_compile_options(camelimapx PUBLIC
	${CAMEL_CFLAGS}
	${GIO_UNIX_CFLAGS}
	${CALENDAR_CFLAGS}
)

target_include_directories(camelimapx PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_BINARY_DIR}/src/camel
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_SOURCE_DIR}/src/camel
	${CMAKE_CURRENT_BINARY_DIR}
	${CAMEL_INCLUDE_DIRS}
	${GIO_UNIX_INCLUDE_DIRS}
	${CALENDAR_INCLUDE_DIRS}
)

target_link_libraries(camelimapx
	${DEPENDENCIES}
	${CAMEL_LDFLAGS}
	${GIO_UNIX_LDFLAGS}
	${CALENDAR_LDFLAGS}
)

install(TARGETS camelimapx
	DESTINATION ${camel_providerdir}
)

install(FILES libcamelimapx.urls
	DESTINATION ${camel_providerdir}
)

=== debian/changelog ===
evolution-data-server (3.44.0-2) unstable; urgency=medium

  * debian/rules: Fix dh_fixperms override (Closes: #1004484, #1006603)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 19 Mar 2022 21:45:47 -0400

evolution-data-server (3.44.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Mar 2022 08:14:59 -0400

evolution-data-server (3.43.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Sat, 05 Mar 2022 15:25:51 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: evolution-data-server
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               libtool,
               intltool (>= 0.35.5),
               libcanberra-gtk3-dev (>= 0.25),
               libdb-dev,
               libglib2.0-dev (>= 2.40),
               libglib2.0-doc (>= 2.40),
               libgdata-dev (>= 0.10),
               libgirepository1.0-dev (>= 1.59.1),
               libsecret-1-dev (>= 0.5),
               libgcr-3-dev (>= 3.4),
               libgoa-1.0-dev (>= 3.8),
               libgtk-3-dev (>= 3.10),
               libgweather-3-dev (>= 40.0),
               libical-dev (>= 3.0.7),
               libicu-dev,
               libjson-glib-dev (>= 1.0.4) [!ia64 !kfreebsd-any],
               libkrb5-dev,
               libldap2-dev,
               liboauth-dev (>= 0.9.4),
               librest-dev (>= 0.7),
               libnss3-dev,
               libnspr4-dev,
               libsoup2.4-dev (>= 2.42),
               libsqlite3-dev (>= 3.7.17),
               libwebkit2gtk-4.0-dev [!ia64 !kfreebsd-any],
               libxml2-dev (>= 2.0.0),
               gtk-doc-tools (>= 1.14),
               gperf,
               pkg-config (>= 0.16),
               valac (>= 0.22),
               libphonenumber-dev [!hppa !hurd-any !ia64 !kfreebsd-amd64 !kfreebsd-i386],
               db-util <!nocheck>,
               dbus <!nocheck>,
Rules-Requires-Root: binary-targets
Standards-Version: 4.5.0
Homepage: https://wiki.gnome.org/Apps/Evolution
Vcs-Git: https://salsa.debian.org/gnome-team/evolution-data-server.git
Vcs-Browser: https://salsa.debian.org/gnome-team/evolution-data-server

Package: evolution-data-server
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-data-server-common (>= ${source:Version}),
         libcamel-1.2-63 (= ${binary:Version}),
         gnome-keyring,
Breaks: evolution (<< 3.29.90),
        libevolution (<< 3.29.90)
Replaces: evolution (<< 3.29.90),
          libevolution (<< 3.29.90)
Suggests: evolution
Description: evolution database backend server
 The data server, called "Evolution Data Server" is responsible for managing
 mail, calendar, addressbook, tasks and memo information.

Package: evolution-data-server-common
Architecture: all
Depends: ${misc:Depends}
Multi-arch: foreign
Description: architecture independent files for Evolution Data Server
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains the architecture independent files needed
 by the evolution-data-server package.

Package: evolution-data-server-tests
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-common,
         evolution-data-server
Description: Installed tests for the evolution database backend server
 The data server, called "Evolution Data Server" is responsible for managing
 mail, calendar, addressbook, tasks and memo information.
 .
 This package contains test programs, designed to be run as part of a
 regression testsuite.

Package: evolution-data-server-dev
Section: devel
Architecture: any
Depends: ${misc:Depends},
         libglib2.0-dev (>= 2.40),
         libnss3-dev,
         libnspr4-dev
Description: Development files for evolution-data-server (metapackage)
 This package contains header files and static library of evolution-data-server.

Package: evolution-data-server-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Description: Documentation files for the Evolution Data Server libraries
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains the API documentation for all the individual
 Evolution Data Server libraries.

Package: libedataserver-1.2-26
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-data-server-common (>= ${gnome:Version})
Description: Utility library for evolution data servers
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package is a utility library for evolution-data-server.

Package: libedataserver1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libedataserver-1.2-26 (= ${binary:Version}),
         gir1.2-edataserver-1.2 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         libcamel1.2-dev (= ${binary:Version}),
         libxml2-dev,
         libgdata-dev (>= 0.15.1),
         libglib2.0-dev (>= 2.40),
         libsoup2.4-dev,
         libsecret-1-dev
Description: Utility library for evolution data servers (development files)
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains header files and static library for libedataserver.

Package: gir1.2-edataserver-1.2
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection for the EDataServer library
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains introspection data for the libedataserver
 library. It can be used by packages using the GIRepository format to
 generate dynamic bindings.

Package: libedataserverui-1.2-3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-data-server-common (>= ${gnome:Version})
Description: Utility library for evolution data servers
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package is a UI utility library for evolution-data-server.

Package: libedataserverui1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libedataserverui-1.2-3 (= ${binary:Version}),
         gir1.2-edataserverui-1.2 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         libedata-book1.2-dev,
         libcamel1.2-dev (= ${binary:Version}),
         libecal2.0-dev (= ${binary:Version}),
         libedataserver1.2-dev (= ${binary:Version}),
         libxml2-dev,
         libglib2.0-dev (>= 2.40),
         libgtk-3-dev,
         libsoup2.4-dev,
         libsecret-1-dev
Description: Utility library for evolution data servers (development files)
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains development files for libedataserverui.

Package: gir1.2-edataserverui-1.2
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection for the EDataServerUI library
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains introspection data for the libedataserverui
 library. It can be used by packages using the GIRepository format to
 generate dynamic bindings.

Package: libcamel-1.2-63
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Evolution MIME message handling library
 Camel is a generic messaging library. It supports the standard
 messaging system for receiving and sending messages. It is the
 messaging backend for Evolution.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: libcamel1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcamel-1.2-63 (= ${binary:Version}),
         gir1.2-camel-1.2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libglib2.0-dev (>= 2.40),
         libsqlite3-dev (>= 3.5),
         libnss3-dev,
         libnspr4-dev
Description: Development files for libcamel
 This package contains header files and static library for libcamel.
 .
 Camel is a generic messaging library. It supports the standard
 messaging system for receiving and sending messages. It is the
 messaging backend for Evolution.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: gir1.2-camel-1.2
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection for the Camel library
 Camel is a generic messaging library. It supports the standard
 messaging system for receiving and sending messages. It is the
 messaging backend for Evolution.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .
 This package contains introspection data for the libcamel
 library. It can be used by packages using the GIRepository format to
 generate dynamic bindings.

Package: libebook-1.2-20
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Client library for evolution address books
 This package is a client library for evolution addressbooks.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: libebook1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libebook-1.2-20 (= ${binary:Version}),
         gir1.2-ebook-1.2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libedataserver1.2-dev (= ${binary:Version}),
         libebook-contacts1.2-dev (= ${binary:Version}),
         libcamel1.2-dev (= ${binary:Version}),
         libedata-book1.2-dev (= ${binary:Version}),
         libglib2.0-dev (>= 2.40),
Description: Client library for evolution address books (development files)
 This package contains header files and static library for libebook.
 .
 libebook is a client library for evolution addressbooks.
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: gir1.2-ebook-1.2
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection for the EBook library
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains introspection data for the libeebook
 library. It can be used by packages using the GIRepository format to
 generate dynamic bindings.

Package: libedata-book-1.2-26
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Backend library for evolution address books
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .
 This package is a backend library for evolution address book.

Package: libedata-book1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libedata-book-1.2-26 (= ${binary:Version}),
         gir1.2-edatabook-1.2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libebook-contacts1.2-dev (= ${binary:Version}),
         libebackend1.2-dev (= ${binary:Version}),
         libglib2.0-dev (>= 2.40),

## evolution-data-server 3.44.1

=== debian/changelog ===
evolution-data-server (3.44.1-0ubuntu2) jammy; urgency=medium

  * Don't build with libgweather4

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 May 2022 19:16:50 -0400

evolution-data-server (3.44.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1969934)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Apr 2022 07:34:04 -0400

evolution-data-server (3.44.0-3) unstable; urgency=medium

  * Build with libgweather4

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Mar 2022 11:24:11 -0400

## evolution-data-server 3.44.2

=== debian/changelog ===
evolution-data-server (3.44.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1976371)

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 31 May 2022 09:55:46 -0300
